Bug 587874 - ruby-devel and gcc packages must me made as dependencies for rubygems package
Summary: ruby-devel and gcc packages must me made as dependencies for rubygems package
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygems
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-01 10:08 UTC by Shreyank Gupta
Modified: 2011-07-19 05:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-19 05:30:26 UTC
Type: ---


Attachments (Terms of Use)

Description Shreyank Gupta 2010-05-01 10:08:36 UTC
Description of problem:
rubygems package, on being installed does not install ruby-devel and gcc, if not installed already.
Then it hangs while 'building native extensions' when installing packages which require ruby-devel headers or which require the gcc compiler.

Version-Release number of selected component (if applicable):
1.3.6

How reproducible:


Steps to Reproduce:

gem install sqlite sqlite3-ruby with ruby-devel and gcc not installed

  
Actual results:
Gems getting installed.

Expected results:
Crash.

Additional info:

Comment 1 Bug Zapper 2010-11-03 15:54:41 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Michael Stahnke 2010-11-03 17:13:04 UTC
This situation is still reproducible. This is more of a design decision than a difficult technical fix.

Comment 3 Vít Ondruch 2011-05-24 12:31:39 UTC
I don't think this is reasonable requirement. Binary Gems packaged for Fedora doesn't require GCC or ruby-devel, since they are already prebuild. Instead, I would suggest something in [1] fashion. It would even trigger installation of build dependencies if desired, but that is probably way to far ...


[1] https://github.com/oneclick/rubyinstaller/blob/master/resources/rubygems/operating_system.rb

Comment 4 Mamoru TASAKA 2011-05-30 03:52:33 UTC
+1 to Vít, "using" rubygems (on Fedora) shouldn't need development package by default.

Comment 5 Håkon Løvdal 2011-07-19 03:08:12 UTC
I agree with the creator of this bug report, ruby-devel should be a dependency of the rubygems package; "gem install" will fail otherwise. The following is from an up to date Fedora 15 system:

(root) localhost:~>gem install roo
Fetching: ruby-ole-1.2.11.1.gem (100%)
Fetching: spreadsheet-0.6.5.5.gem (100%)
Fetching: nokogiri-1.5.0.gem (100%)
Building native extensions.  This could take a while...

ERROR:  Error installing roo:
        ERROR: Failed to build gem native extension.

        /usr/bin/ruby extconf.rb
mkmf.rb can't find header files for ruby at /usr/lib/ruby/ruby.h


Gem files will remain installed in /usr/lib/ruby/gems/1.8/gems/nokogiri-1.5.0 for inspection.
Results logged to /usr/lib/ruby/gems/1.8/gems/nokogiri-1.5.0/ext/nokogiri/gem_make.out
(root) localhost:~>yum install -y ruby-devel
Loaded plugins: auto-update-debuginfo, etckeeper, langpacks, presto, ps, refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package ruby-devel.x86_64 0:1.8.7.334-1.fc15 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================================================================================================================================
 Package                                                  Arch                                                 Version                                                           Repository                                            Size
============================================================================================================================================================================================================================================
Installing:
 ruby-devel                                               x86_64                                               1.8.7.334-1.fc15                                                  fedora                                               301 k

Transaction Summary
============================================================================================================================================================================================================================================
Install       1 Package(s)

Total download size: 301 k
Installed size: 1.0 M
Downloading Packages:
Setting up and reading Presto delta metadata
Processing delta metadata
Package(s) data still to download: 301 k
ruby-devel-1.8.7.334-1.fc15.x86_64.rpm                                                                                                                                                                               | 301 kB     00:00 ... 
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
etckeeper: pre transaction commit
  Installing : ruby-devel-1.8.7.334-1.fc15.x86_64                                                                                                                                                                                       1/1 
etckeeper: post transaction commit

Installed:
  ruby-devel.x86_64 0:1.8.7.334-1.fc15                                                                                                                                                                                                      

Complete!
(root) localhost:~>gem install roo
Building native extensions.  This could take a while...
.....
......................................................................................................................................................................................................................................................................

Fetching: oauth-0.4.5.gem (100%)
Fetching: google-spreadsheet-ruby-0.1.5.gem (100%)
Fetching: roo-1.9.5.gem (100%)
Successfully installed nokogiri-1.5.0
Successfully installed oauth-0.4.5
Successfully installed google-spreadsheet-ruby-0.1.5
Successfully installed roo-1.9.5
4 gems installed
Installing ri documentation for nokogiri-1.5.0...

No definition for get_options

No definition for set_options

No definition for parse_memory

No definition for parse_file

No definition for parse_with
Installing ri documentation for oauth-0.4.5...
Installing ri documentation for google-spreadsheet-ruby-0.1.5...
Installing ri documentation for roo-1.9.5...
Installing RDoc documentation for nokogiri-1.5.0...

No definition for get_options

No definition for set_options

No definition for parse_memory

No definition for parse_file

No definition for parse_with
Installing RDoc documentation for oauth-0.4.5...
Installing RDoc documentation for google-spreadsheet-ruby-0.1.5...
Installing RDoc documentation for roo-1.9.5...
(root) localhost:~>rpm -qf `type -p gem`
rubygems-1.7.2-2.fc15.noarch
(root) localhost:~>

Comment 6 Mamoru TASAKA 2011-07-19 05:30:26 UTC
Then you must install foo-devel, bar-devel, .... anything.
Closing as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.